Index: squid/doc/Programming-Guide/prog-guide.sgml
diff -u squid/doc/Programming-Guide/prog-guide.sgml:1.21 squid/doc/Programming-Guide/prog-guide.sgml:1.16.8.1
--- squid/doc/Programming-Guide/prog-guide.sgml:1.21	Fri Aug  9 14:45:58 2002
+++ squid/doc/Programming-Guide/prog-guide.sgml	Tue Sep  3 10:39:11 2002
@@ -64,27 +64,6 @@
 	structures and their members will be written in an italicized
 	font, such as <em/StoreEntry/.
 
-<sect>Coding Conventions
-
-<sect1>Infrastructure
-
-	<P>
-	Most custom types and tools are documented in the code or the relevant
-	portions of this manual. Some key points apply globally however.
-
-<sect2>Fixed width types
-	<P>
-	If you need to use specific width types - such as
-	a 16 bit unsigned integer, use one of the following types. To access
-	them simply include "config.h".
-        <enum>
-	<item>int16_t   - 16 bit signed.
-	<item>u_int16_t - 16 bit unsigned.
-	<item>int32t    - 32 bit signed.
-	<item>u_int32_t - 32 bit unsigned.
-	<item>int64_t   - 64 bit signed.
-	<item>u_int64_t - 64 bit unsigned.
-	</enum>
 
 <sect>Overview of Squid Components
 
@@ -405,7 +384,7 @@
 <sect1>Refresh Rules
 
 	<P>
-	These routines decide whether a cached object is stale or fresh,
+	These routines decide wether a cached object is stale or fresh,
 	based on the <em/refresh_pattern/ configuration options.
 	If an object is fresh, it can be returned as a cache hit.
 	If it is stale, then it must be revalidated with an	
@@ -423,7 +402,7 @@
 	<P>
 	We are experimenting with URN support in Squid version 1.2.
 	Note, we're not talking full-blown generic URN's here. This
-	is primarily targeted toward using URN's as an smart way
+	is primarily targeted towards using URN's as an smart way
 	of handling lists of mirror sites.  For more details, please
 	see <url        url="http://squid.nlanr.net/Squid/urn-support.html"
 	name="URN support in Squid">.
@@ -2527,10 +2506,9 @@
 	<P>
 	Macro that defines a new cbdata datatype. Similar to a variable
 	or struct definition. Scope is always local to the file/block
-	where it is defined and all calls to cbdataAlloc for this type
-	must be within the same scope as the CBDATA_TYPE declaration.
-	Allocated entries may be referenced or freed anywhere with no
-	restrictions on scope.
+	where it is defined and all allocations must be within this scope.
+	Allocated entries referenced or freed anywhere with no restrictions
+	on scope.
 
 <sect2>CBDATA_GLOBAL_TYPE
 
@@ -2643,12 +2621,10 @@
 
 	<P>
 	Removes a reference created by cbdataReference() and checks
-	it for validity. A temporary pointer to the referenced data
-	(if valid) is returned in the &amp;pointer argument.
+	it for validity.
 	
 	<P>
-	Meant to be used on the last dereference, usually to make
-	a callback.
+	Meant to be used on the last dereference
 
 <verb>
 	void *cbdata;
@@ -2663,120 +2639,81 @@
 <sect1>Examples
 
 	<P>
-	Here you can find some examples on how to use cbdata, and why
-
-<sect2>Asynchronous operation without cbdata, showing why cbdata is needed
-
-	<P>
-	For a asyncronous operation with callback functions, the normal
-	sequence of events in programs NOT using cbdata is as follows:
+	For a blocking operation
+	with callback functions, the normal sequence of events is as
+	follows:
 <verb>
-	/* initialization */
-	type_of_data our_data;
-	...
-	our_data = malloc(...);
+	callback_data = malloc(...);
 	...
-	/* Initiate a asyncronous operation, with our_data as callback_data */
-	fooOperationStart(bar, callback_func, our_data);
+	fooOperationStart(bar, callback_func, callback_data);
 	...
-	/* The asyncronous operation completes and makes the callback */
+	fooOperationComplete(...);
 	callback_func(callback_data, ....);
-	/* Some time later we clean up our data */
-	free(our_data);
+	...
+	free(callback_data);
 </verb>
 	However, things become more interesting if we want or need
 	to free the callback_data, or otherwise cancel the callback,
-	before the operation completes. In constructs like this you
-	can quite easily end up with having the memory referenced
-	pointed to by callback_data freed before the callback is invoked
-	causing a program failure or memory corruption:
-<verb>
-	/* initialization */
-	type_of_data our_data;
-	...
-	our_data = malloc(...);
-	...
-	/* Initiate a asyncronous operation, with our_data as callback_data */
-	fooOperationStart(bar, callback_func, our_data);
-	...
-	/* ouch, something bad happened elsewhere.. try to cleanup
-	 * but the programmer forgot there is a callback pending from
-	 * fooOperationsStart() (an easy thing to forget when writing code
-	 * to deal with errors, especially if there may be many different
-	 * pending operation)
-	 */
-	free(our_data);
-	...
-	/* The asyncronous operation completes and makes the callback */
-	callback_func(callback_data, ....);
-	/* CRASH, the memory pointer to by callback_data is no longer valid
-	 * at the time of the callback
-	 */
-</verb>
-<sect2>Asyncronous operation with cbdata
+	before the operation completes.
 
 	<P>
 	The callback data allocator lets us do this in a uniform and
 	safe manner.  The callback data allocator is used to allocate,
 	track and free memory pool objects used during callback
-	operations.  Allocated memory is locked while the asyncronous
+	operations.  Allocated memory is locked while the blocking
 	operation executes elsewhere, and is freed when the operation
 	completes.  The normal sequence of events is:
 <verb>
 	/* initialization */
-	type_of_data our_data;
+	type_of_data callback_data;
 	...
-	our_data = cbdataAlloc(type_of_data);
+	callback_data = cbdataAlloc(type_of_data);
 	...
-	/* Initiate a asyncronous operation, with our_data as callback_data */
-	fooOperationStart(..., callback_func, our_data);
+	/* calling "foo" */
+	fooOperationStart(..., callback_func, callback_data);
 	...
-	/* foo */
-	void *local_pointer = cbdataReference(callback_data);
-	....
-	/* The asyncronous operation completes and makes the callback */
-	void *cbdata;
-	if (cbdataReferenceValidDone(local_pointer, &amp;cbdata))
-	    callback_func(...., cbdata);
-	...
-	cbdataFree(our_data);
+	/* being destroyed */
+	cbdataFree(callback_data);
 
+	/* foo */
+	void
+	fooOperationStart(..., callback_func, void *callback_data)
+	{
+	    void *local_pointer = cbdataReference(callback_data);
+	    ....
+	}
+	void
+	fooOperationComplete(...)
+	{
+	    void *cbdata;
+	    ...
+	    if (cbdataReferenceValidDone(local_pointer, &amp;cbdata))
+		callback_func(...., cbdata);
+	}
 </verb>
 
-<sect2>Asynchronous operation cancelled by cbdata
-
 	<P>
 	With this scheme, nothing bad happens if <tt/cbdataFree/ gets called
 	before fooOperantionComplete(...).
 <verb>
-	/* initialization */
-	type_of_data our_data;
-	...
-	our_data = cbdataAlloc(type_of_data);
+	callback_data = cbdataAlloc(...);
 	...
-	/* Initiate a asyncronous operation, with our_data as callback_data */
-	fooOperationStart(..., callback_func, our_data);
+	fooOperationStart(bar, callback_func, callback_data);
+	local_pointer = cbdataReference(callback_data);
 	...
-	/* foo */
-	void *local_pointer = cbdataReference(callback_data);
-	....
-	/* something bad happened elsewhere.. cleanup */
-	cbdataFree(our_data);
+	cbdataFree(callback_data);
 	...
-	/* The asyncronous operation completes and tries to make the callback */
+	fooOperationComplete(...);
 	void *cbdata;
-	if (cbdataReferenceValidDone(local_pointer, &amp;cbdata))
-	    /* won't be called, as the data is no longer valid */
-	    callback_func(...., cbdata);
-
+	if (cbdataReferenceValidDone(local_pointer, cbdata))
+	    callback_func(cbdata, ....);
 </verb>
 	In this case, when <tt/cbdataFree/ is called before
 	<tt/cbdataReferenceValidDone/, the callback_data gets marked as invalid.
-	When the callback_data is invalid before executing the callback
-	function, <tt/cbdataReferenceValidDone/ will return 0 and
-	callback_func is never executed.
-
-<sect2>Adding a new cbdata registered type
+	Before executing the callback function, <tt/cbdataReferenceValidDone/ will return 0
+	and callback_func is never executed.  When <tt/cbdataReferenceValidDone/ gets
+	called, it notices that the callback_data is invalid and will
+	then call <tt/cbdataFree/.
 
 	<P>
 	To add new module specific data types to the allocator one uses the
@@ -2795,24 +2732,16 @@
 	 * (can be called multiple times with only a minimal overhead)
 	 */
 	CBDATA_INIT_TYPE(type_of_data);
-	/* Or if a free function is associated with the data type. This
-	 * function is responsible for cleaning up any dependencies etc
-	 * referenced by the structure and is called on cbdataFree or
-	 * when the last reference is deleted by cbdataReferenceDone /
-	 * cbdataReferenceValidDone
-	 */
+	/* Or if a free function is associated with the data type */
 	CBDATA_INIT_TYPE_FREECB(type_of_data, free_function);
 </verb>
 
-<sect2>Adding a new cbdata registered data type globally
-
 	<P>
-	To add new global data types that can be allocated from anywhere
-	within the code one have to add them to the cbdata_type enum in
-	enums.h, and a corresponding CREATE_CBDATA call in
-	cbdata.c:cbdataInit(). Or alternatively add a CBDATA_GLOBAL_TYPE
-	definition to globals.h as shown below and use CBDATA_INIT_TYPE at
-	the appropriate location(s) as described above.
+	To add new global data types one have to add them to the
+	cbdata_type enum in enums.h, and a corresponding
+	CREATE_CBDATA call in cbdata.c:cbdataInit(). Or alternatively
+	add a CBDATA_GLOBAL_TYPE definition to globals.h and use
+	CBDATA_INIT_TYPE as described above.
 
 <verb>
 	extern CBDATA_GLOBAL_TYPE(type_of_data);	/* CBDATA_UNDEF */
Index: squid/errors/list
diff -u squid/errors/list:1.1.1.1 squid/errors/list:1.1.1.1.120.1
--- squid/errors/list:1.1.1.1	Tue Jan 25 19:21:47 2000
+++ squid/errors/list	Fri Dec  7 15:25:31 2001
@@ -3,6 +3,7 @@
 ERR_CACHE_MGR_ACCESS_DENIED
 ERR_CANNOT_FORWARD
 ERR_CLIENT_ABORT
+ERR_CONFLICT
 ERR_CONNECT_FAIL
 ERR_DNS_FAIL
 ERR_FORWARDING_DENIED
Index: squid/errors/Bulgarian/ERR_CONFLICT
diff -u /dev/null squid/errors/Bulgarian/ERR_CONFLICT:1.1.2.1
--- /dev/null	Mon Jan 26 04:57:35 2004
+++ squid/errors/Bulgarian/ERR_CONFLICT	Sat Dec 22 08:31:33 2001
@@ -0,0 +1,34 @@
+<HTML><HEAD>
+<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
+</HEAD><BODY>
+<H1>ERROR</H1>
+<H2>The requested URL could not be retrieved</H2>
+<HR>
+<P>
+While trying to retrieve the URL:
+<A HREF="%U">%U</A>
+<P>
+The following error was encountered:
+<UL>
+<LI>
+<STRONG>
+You made a PUT request with a version that conflicts with 
+the version already present in the cache.
+</STRONG>
+</UL>
+
+<P>
+The system returned:
+<PRE><I>    %E</I></PRE>
+
+<P>
+This means that:
+<PRE>
+When you make a PUT request to a cache, you must supply an object with
+a Last-Modified time at least as recent as the version the cache already
+has.  Otherwise, the version you sent is considered stale and is thrown out.
+Either the cache has already received a more recent copy from elsewhere, 
+or your client push software is computing Last-Modified time incorrectly.
+</PRE>
+</P>
+
Index: squid/errors/Catalan/ERR_ACCESS_DENIED
diff -u squid/errors/Catalan/ERR_ACCESS_DENIED:1.4 squid/errors/Catalan/ERR_ACCESS_DENIED:1.4.6.1
--- squid/errors/Catalan/ERR_ACCESS_DENIED:1.4	Wed Aug 28 14:45:33 2002
+++ squid/errors/Catalan/ERR_ACCESS_DENIED	Tue Sep  3 10:39:18 2002
@@ -1,11 +1,9 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD>
 <TITLE>ERROR: No es pot mostrar la URL que heu sol.licitat</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>ERROR</H1>
 <H2>No es pot mostrar la URL que heu sol.licitat</H2>
-<HR noshade size="1px">
+<HR>
 <P>
 Mentre s'intentava llegir la URL:
 <A HREF="%U">%U</A>
Index: squid/errors/Catalan/ERR_CACHE_ACCESS_DENIED
diff -u squid/errors/Catalan/ERR_CACHE_ACCESS_DENIED:1.4 squid/errors/Catalan/ERR_CACHE_ACCESS_DENIED:1.4.6.1
--- squid/errors/Catalan/ERR_CACHE_ACCESS_DENIED:1.4	Wed Aug 28 14:45:33 2002
+++ squid/errors/Catalan/ERR_CACHE_ACCESS_DENIED	Tue Sep  3 10:39:18 2002
@@ -1,12 +1,10 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD>
 <TITLE>ERROR: Acc&eacute;s denegat a la cache</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
 <BODY>
 <H1>ERROR</H1>
 <H2>Acc&eacute;s denegat a la cache</H2>
-<HR noshade size="1px">
+<HR>
 <P>
 Mentre s'intentava llegir la URL:
 <A HREF="%U">%U</A>
Index: squid/errors/Catalan/ERR_CACHE_MGR_ACCESS_DENIED
diff -u squid/errors/Catalan/ERR_CACHE_MGR_ACCESS_DENIED:1.4 squid/errors/Catalan/ERR_CACHE_MGR_ACCESS_DENIED:1.4.6.1
--- squid/errors/Catalan/ERR_CACHE_MGR_ACCESS_DENIED:1.4	Wed Aug 28 14:45:33 2002
+++ squid/errors/Catalan/ERR_CACHE_MGR_ACCESS_DENIED	Tue Sep  3 10:39:19 2002
@@ -1,12 +1,10 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD>
 <TITLE>ERROR: Acc&eacute;s denegat a l'administraci&oacute; de la cache</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
 <BODY>
 <H1>ERROR</H1>
 <H2>ERROR: Acc&eacute;s denegat a l'administraci&oacute; de la cache</H2>
-<HR noshade size="1px">
+<HR>
 <P>
 Mentre s'intentava llegir la URL:
 <A HREF="%U">%U</A>
Index: squid/errors/Catalan/ERR_CANNOT_FORWARD
diff -u squid/errors/Catalan/ERR_CANNOT_FORWARD:1.4 squid/errors/Catalan/ERR_CANNOT_FORWARD:1.4.6.1
--- squid/errors/Catalan/ERR_CANNOT_FORWARD:1.4	Wed Aug 28 14:45:33 2002
+++ squid/errors/Catalan/ERR_CANNOT_FORWARD	Tue Sep  3 10:39:19 2002
@@ -1,11 +1,9 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD>
 <TITLE>ERROR: No es pot mostrar la URL que heu sol.licitat</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>ERROR</H1>
 <H2>No es pot mostrar la URL que heu sol.licitat</H2>
-<HR noshade size="1px">
+<HR>
 <P>
 Mentre s'intentava llegir la URL:
 <A HREF="%U">%U</A>
Index: squid/errors/Catalan/ERR_CONNECT_FAIL
diff -u squid/errors/Catalan/ERR_CONNECT_FAIL:1.4 squid/errors/Catalan/ERR_CONNECT_FAIL:1.4.6.1
--- squid/errors/Catalan/ERR_CONNECT_FAIL:1.4	Wed Aug 28 14:45:33 2002
+++ squid/errors/Catalan/ERR_CONNECT_FAIL	Tue Sep  3 10:39:20 2002
@@ -1,11 +1,9 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD>
 <TITLE>ERROR: No es pot mostrar la URL que heu sol.licitat</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>ERROR</H1>
 <H2>No es pot mostrar la URL que heu sol.licitat</H2>
-<HR noshade size="1px">
+<HR>
 <P>
 Mentre s'intentava llegir la URL:
 <A HREF="%U">%U</A>
Index: squid/errors/Catalan/ERR_DNS_FAIL
diff -u squid/errors/Catalan/ERR_DNS_FAIL:1.4 squid/errors/Catalan/ERR_DNS_FAIL:1.4.6.1
--- squid/errors/Catalan/ERR_DNS_FAIL:1.4	Wed Aug 28 14:45:33 2002
+++ squid/errors/Catalan/ERR_DNS_FAIL	Tue Sep  3 10:39:20 2002
@@ -1,10 +1,8 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD>
 <TITLE>ERROR: No es pot mostrar la URL que heu sol.licitat</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H2>No es pot mostrar la URL que heu sol.licitat</H2>
-<HR noshade size="1px">
+<HR>
 <P>
 Mentre s'intentava llegir la URL:
 <A HREF="%U">%U</A>
Index: squid/errors/Catalan/ERR_FORWARDING_DENIED
diff -u squid/errors/Catalan/ERR_FORWARDING_DENIED:1.4 squid/errors/Catalan/ERR_FORWARDING_DENIED:1.4.6.1
--- squid/errors/Catalan/ERR_FORWARDING_DENIED:1.4	Wed Aug 28 14:45:33 2002
+++ squid/errors/Catalan/ERR_FORWARDING_DENIED	Tue Sep  3 10:39:21 2002
@@ -1,11 +1,9 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD>
 <TITLE>ERROR: No es pot mostrar la URL que heu sol.licitat</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>ERROR</H1>
 <H2>No es pot mostrar la URL que heu sol.licitat</H2>
-<HR noshade size="1px">
+<HR>
 <P>
 Mentre s'intentava llegir la URL:
 <A HREF="%U">%U</A>
Index: squid/errors/Catalan/ERR_FTP_DISABLED
diff -u squid/errors/Catalan/ERR_FTP_DISABLED:1.4 squid/errors/Catalan/ERR_FTP_DISABLED:1.4.6.1
--- squid/errors/Catalan/ERR_FTP_DISABLED:1.4	Wed Aug 28 14:45:33 2002
+++ squid/errors/Catalan/ERR_FTP_DISABLED	Tue Sep  3 10:39:21 2002
@@ -1,11 +1,9 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD>
 <TITLE>ERROR: No es pot mostrar la URL que heu sol.licitat</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>ERROR</H1>
 <H2>No es pot mostrar la URL que heu sol.licitat</H2>
-<HR noshade size="1px">
+<HR>
 <P>
 Mentre s'intentava llegir la URL:
 <A HREF="%U">%U</A>
Index: squid/errors/Catalan/ERR_FTP_FAILURE
diff -u squid/errors/Catalan/ERR_FTP_FAILURE:1.4 squid/errors/Catalan/ERR_FTP_FAILURE:1.4.6.1
--- squid/errors/Catalan/ERR_FTP_FAILURE:1.4	Wed Aug 28 14:45:33 2002
+++ squid/errors/Catalan/ERR_FTP_FAILURE	Tue Sep  3 10:39:21 2002
@@ -1,11 +1,9 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD>
 <TITLE>ERROR: No es pot mostrar la URL que heu sol.licitat</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>ERROR</H1>
 <H2>No es pot mostrar la URL que heu sol.licitat</H2>
-<HR noshade size="1px">
+<HR>
 <P>
 S'ha produ&iuml;t un error FTP mentre s'intentava llegir la URL:
 <A HREF="%U">%U</A>
Index: squid/errors/Catalan/ERR_FTP_FORBIDDEN
diff -u squid/errors/Catalan/ERR_FTP_FORBIDDEN:1.4 squid/errors/Catalan/ERR_FTP_FORBIDDEN:1.4.6.1
--- squid/errors/Catalan/ERR_FTP_FORBIDDEN:1.4	Wed Aug 28 14:45:33 2002
+++ squid/errors/Catalan/ERR_FTP_FORBIDDEN	Tue Sep  3 10:39:21 2002
@@ -1,11 +1,9 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD>
 <TITLE>ERROR: No es pot mostrar la URL que heu sol.licitat</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>ERROR</H1>
 <H2>No es pot mostrar la URL que heu sol.licitat</H2>
-<HR noshade size="1px">
+<HR>
 <P>
 S'ha produ&iuml;t un error en l'autentificaci&oacute; FTP
 mentre s'intentava llegir la URL
Index: squid/errors/Catalan/ERR_FTP_NOT_FOUND
diff -u squid/errors/Catalan/ERR_FTP_NOT_FOUND:1.4 squid/errors/Catalan/ERR_FTP_NOT_FOUND:1.4.6.1
--- squid/errors/Catalan/ERR_FTP_NOT_FOUND:1.4	Wed Aug 28 14:45:33 2002
+++ squid/errors/Catalan/ERR_FTP_NOT_FOUND	Tue Sep  3 10:39:21 2002
@@ -1,11 +1,9 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD>
 <TITLE>ERROR: No es pot mostrar la URL que heu sol.licitat</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>ERROR</H1>
 <H2>No es pot mostrar la URL que heu sol.licitat</H2>
-<HR noshade size="1px">
+<HR>
 <P>
 URL:
 <A HREF="%U">%U</A>
Index: squid/errors/Catalan/ERR_FTP_PUT_CREATED
diff -u squid/errors/Catalan/ERR_FTP_PUT_CREATED:1.4 squid/errors/Catalan/ERR_FTP_PUT_CREATED:1.4.6.1
--- squid/errors/Catalan/ERR_FTP_PUT_CREATED:1.4	Wed Aug 28 14:45:33 2002
+++ squid/errors/Catalan/ERR_FTP_PUT_CREATED	Tue Sep  3 10:39:21 2002
@@ -1,8 +1,6 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD>
 <TITLE>Comanda FTP PUT executada amb &egrave;xit: Fitxer creat</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>Operaci&oacute; completada</H1>
 <H2>Fitxer creat</H2>
-<HR noshade size="1px">
+<HR>
Index: squid/errors/Catalan/ERR_FTP_PUT_ERROR
diff -u squid/errors/Catalan/ERR_FTP_PUT_ERROR:1.4 squid/errors/Catalan/ERR_FTP_PUT_ERROR:1.4.6.1
--- squid/errors/Catalan/ERR_FTP_PUT_ERROR:1.4	Wed Aug 28 14:45:33 2002
+++ squid/errors/Catalan/ERR_FTP_PUT_ERROR	Tue Sep  3 10:39:21 2002
@@ -1,11 +1,9 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD>
 <TITLE>ERROR: Ha fallat l'enviament del fitxer FTP</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>ERROR</H1>
 <H2>Ha fallat la comanda FTP d'enviament de fitxer</H2>
-<HR noshade size="1px">
+<HR>
 <P>
 Mentre s'intentava la comanda PUT a la URL:
 <A HREF="%U">%U</A>
Index: squid/errors/Catalan/ERR_FTP_PUT_MODIFIED
diff -u squid/errors/Catalan/ERR_FTP_PUT_MODIFIED:1.4 squid/errors/Catalan/ERR_FTP_PUT_MODIFIED:1.4.6.1
--- squid/errors/Catalan/ERR_FTP_PUT_MODIFIED:1.4	Wed Aug 28 14:45:33 2002
+++ squid/errors/Catalan/ERR_FTP_PUT_MODIFIED	Tue Sep  3 10:39:21 2002
@@ -1,8 +1,6 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD>
 <TITLE>Comanda FTP PUT completada amb &eacute;xit: Fitxer actualitzat</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>Operaci&oacute; completada</H1>
 <H2>Fitxer actualitzat</H2>
-<HR noshade size="1px">
+<HR>
Index: squid/errors/Catalan/ERR_FTP_UNAVAILABLE
diff -u squid/errors/Catalan/ERR_FTP_UNAVAILABLE:1.4 squid/errors/Catalan/ERR_FTP_UNAVAILABLE:1.4.6.1
--- squid/errors/Catalan/ERR_FTP_UNAVAILABLE:1.4	Wed Aug 28 14:45:33 2002
+++ squid/errors/Catalan/ERR_FTP_UNAVAILABLE	Tue Sep  3 10:39:21 2002
@@ -1,11 +1,9 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD>
 <TITLE>ERROR: No es pot mostrar la URL que heu sol.licitat</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>ERROR</H1>
 <H2>No es pot mostrar la URL que heu sol.licitat</H2>
-<HR noshade size="1px">
+<HR>
 <P>
 El servidor FTP estava massa ocupat quan intentava mostrar la URL:
 <A HREF="%U">%U</A>
Index: squid/errors/Catalan/ERR_INVALID_REQ
diff -u squid/errors/Catalan/ERR_INVALID_REQ:1.4 squid/errors/Catalan/ERR_INVALID_REQ:1.4.6.1
--- squid/errors/Catalan/ERR_INVALID_REQ:1.4	Wed Aug 28 14:45:33 2002
+++ squid/errors/Catalan/ERR_INVALID_REQ	Tue Sep  3 10:39:22 2002
@@ -1,11 +1,9 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD>
 <TITLE>ERROR: No es pot mostrar la URL que heu sol.licitat</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>ERROR</H1>
 <H2>No es pot mostrar la URL que heu sol.licitat</H2>
-<HR noshade size="1px">
+<HR>
 <P>
 Mentre s'intentava llegir la URL:
 <PRE>
Index: squid/errors/Catalan/ERR_INVALID_URL
diff -u squid/errors/Catalan/ERR_INVALID_URL:1.4 squid/errors/Catalan/ERR_INVALID_URL:1.4.6.1
--- squid/errors/Catalan/ERR_INVALID_URL:1.4	Wed Aug 28 14:45:33 2002
+++ squid/errors/Catalan/ERR_INVALID_URL	Tue Sep  3 10:39:22 2002
@@ -1,11 +1,9 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD>
 <TITLE>ERROR: No es pot mostrar la URL que heu sol.licitat</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>ERROR</H1>
 <H2>No es pot mostrar la URL que heu sol.licitat</H2>
-<HR noshade size="1px">
+<HR>
 <P>
 Mentre s'intentava llegir la URL:
 <A HREF="%U">%U</A>
Index: squid/errors/Catalan/ERR_LIFETIME_EXP
diff -u squid/errors/Catalan/ERR_LIFETIME_EXP:1.4 squid/errors/Catalan/ERR_LIFETIME_EXP:1.4.6.1
--- squid/errors/Catalan/ERR_LIFETIME_EXP:1.4	Wed Aug 28 14:45:33 2002
+++ squid/errors/Catalan/ERR_LIFETIME_EXP	Tue Sep  3 10:39:22 2002
@@ -1,11 +1,9 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD>
 <TITLE>ERROR: No es pot mostrar la URL que heu sol.licitat</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>ERROR</H1>
 <H2>No es pot mostrar la URL que heu sol.licitat</H2>
-<HR noshade size="1px">
+<HR>
 <P>
 Mentre s'intentava llegir la URL:
 <A HREF="%U">%U</A>
Index: squid/errors/Catalan/ERR_NO_RELAY
diff -u squid/errors/Catalan/ERR_NO_RELAY:1.4 squid/errors/Catalan/ERR_NO_RELAY:1.4.6.1
--- squid/errors/Catalan/ERR_NO_RELAY:1.4	Wed Aug 28 14:45:33 2002
+++ squid/errors/Catalan/ERR_NO_RELAY	Tue Sep  3 10:39:22 2002
@@ -1,11 +1,9 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD>
 <TITLE>ERROR: No es pot mostrar la URL que heu sol.licitat</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>ERROR</H1>
 <H2>No es pot mostrar la URL que heu sol.licitat</H2>
-<HR noshade size="1px">
+<HR>
 <P>
 Mentre s'intentava llegir la URL:
 <A HREF="%U">%U</A>
Index: squid/errors/Catalan/ERR_ONLY_IF_CACHED_MISS
diff -u squid/errors/Catalan/ERR_ONLY_IF_CACHED_MISS:1.4 squid/errors/Catalan/ERR_ONLY_IF_CACHED_MISS:1.4.6.1
--- squid/errors/Catalan/ERR_ONLY_IF_CACHED_MISS:1.4	Wed Aug 28 14:45:33 2002
+++ squid/errors/Catalan/ERR_ONLY_IF_CACHED_MISS	Tue Sep  3 10:39:22 2002
@@ -1,11 +1,9 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD>
 <TITLE>ERROR: No es pot mostrar la URL que heu sol.licitat</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>ERROR</H1>
 <H2>No es pot mostrar la URL que heu sol.licitat</H2>
-<HR noshade size="1px">
+<HR>
 <P>
 Mentre s'intentava llegir la URL:
 <A HREF="%U">%U</A>
Index: squid/errors/Catalan/ERR_READ_ERROR
diff -u squid/errors/Catalan/ERR_READ_ERROR:1.4 squid/errors/Catalan/ERR_READ_ERROR:1.4.6.1
--- squid/errors/Catalan/ERR_READ_ERROR:1.4	Wed Aug 28 14:45:33 2002
+++ squid/errors/Catalan/ERR_READ_ERROR	Tue Sep  3 10:39:22 2002
@@ -1,11 +1,9 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD>
 <TITLE>ERROR: No es pot mostrar la URL que heu sol.licitat</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>ERROR</H1>
 <H2>No es pot mostrar la URL que heu sol.licitat</H2>
-<HR noshade size="1px">
+<HR>
 <P>
 Mentre s'intentava llegir la URL:
 <A HREF="%U">%U</A>
Index: squid/errors/Catalan/ERR_READ_TIMEOUT
diff -u squid/errors/Catalan/ERR_READ_TIMEOUT:1.4 squid/errors/Catalan/ERR_READ_TIMEOUT:1.4.6.1
--- squid/errors/Catalan/ERR_READ_TIMEOUT:1.4	Wed Aug 28 14:45:33 2002
+++ squid/errors/Catalan/ERR_READ_TIMEOUT	Tue Sep  3 10:39:23 2002
@@ -1,11 +1,9 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD>
 <TITLE>ERROR: No es pot mostrar la URL que heu sol.licitat</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>ERROR</H1>
 <H2>No es pot mostrar la URL que heu sol.licitat</H2>
-<HR noshade size="1px">
+<HR>
 <P>
 Mentre s'intentava llegir la URL:
 <A HREF="%U">%U</A>
Index: squid/errors/Catalan/ERR_SHUTTING_DOWN
diff -u squid/errors/Catalan/ERR_SHUTTING_DOWN:1.4 squid/errors/Catalan/ERR_SHUTTING_DOWN:1.4.6.1
--- squid/errors/Catalan/ERR_SHUTTING_DOWN:1.4	Wed Aug 28 14:45:33 2002
+++ squid/errors/Catalan/ERR_SHUTTING_DOWN	Tue Sep  3 10:39:23 2002
@@ -1,11 +1,9 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD>
 <TITLE>ERROR: No es pot mostrar la URL que heu sol.licitat</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>ERROR</H1>
 <H2>No es pot mostrar la URL que heu sol.licitat</H2>
-<HR noshade size="1px">
+<HR>
 <P>
 Mentre s'intentava llegir la URL:
 <A HREF="%U">%U</A>
